diff --git a/drupal7/sites/all/modules/date/date_api/date_api_elements.inc b/drupal7/sites/all/modules/date/date_api/date_api_elements.inc
index 638fcda5..f4035d7d 100644
--- a/drupal7/sites/all/modules/date/date_api/date_api_elements.inc
+++ b/drupal7/sites/all/modules/date/date_api/date_api_elements.inc
@@ -3,11 +3,12 @@
 /**
  * @file
  * Date API elements themes and validation.
+ *
  * This file is only included during the edit process to reduce memory usage.
  */
 
 /**
- * Implements hook_element_info().
+ * Wrapper for hook_element_info().
  *
  * Parameters for date form elements, designed to have sane defaults so any
  * or all can be omitted.
@@ -65,7 +66,8 @@
  */
 function _date_api_element_info() {
   $date_base = array(
-    '#input' => TRUE, '#tree' => TRUE,
+    '#input' => TRUE,
+    '#tree' => TRUE,
     '#date_timezone' => date_default_timezone(),
     '#date_flexible' => 0,
     '#date_format' => variable_get('date_format_short', 'm/d/Y - H:i'),
@@ -88,7 +90,8 @@ function _date_api_element_info() {
     '#value_callback' => 'date_text_element_value_callback',
   ));
   $type['date_timezone'] = array(
-    '#input' => TRUE, '#tree' => TRUE,
+    '#input' => TRUE,
+    '#tree' => TRUE,
     '#process' => array('date_timezone_element_process'),
     '#theme_wrappers' => array('date_text'),
     '#value_callback' => 'date_timezone_element_value_callback',
@@ -105,7 +108,7 @@ function _date_api_element_info() {
 /**
  * Create a date object from a datetime string value.
  */
-function date_default_date($element) {
+function date_default_date(array $element) {
   $granularity = date_format_order($element['#date_format']);
   $default_value = $element['#default_value'];
   $format = DATE_FORMAT_DATETIME;
@@ -270,7 +273,7 @@ function date_timezone_element_process($element, &$form_state, $form) {
 /**
  * Validation for timezone input.
  *
- *  Move the timezone value from the nested field back to the original field.
+ * Move the timezone value from the nested field back to the original field.
  */
 function date_timezone_validate($element, &$form_state) {
   if (date_hidden_element($element)) {
@@ -287,10 +290,10 @@ function date_text_element_value_callback($element, $input = FALSE, &$form_state
   $return = array('date' => '');
   $date = NULL;
 
-  // Normal input from submitting the form element.
-  // Check is_array() to skip the string input values created by Views pagers.
-  // Those string values, if present, should be interpreted as empty input.
-  if ($input != FALSE && is_array($input)) {
+  // Normal input from submitting the form element. Check is_array() to skip
+  // the string input values created by Views pagers. Those string values, if
+  // present, should be interpreted as empty input.
+  if ($input !== FALSE && is_array($input) && !is_null($input['date'])) {
     $return = $input;
     $date = date_text_input_date($element, $input);
   }
@@ -309,8 +312,8 @@ function date_text_element_value_callback($element, $input = FALSE, &$form_state
  *
  * Display all or part of a date in a single textfield.
  *
- * The exact parts displayed in the field are those in #date_granularity.
- * The display of each part comes from #date_format.
+ * The exact parts displayed in the field are those in #date_granularity. The
+ * display of each part comes from #date_format.
  */
 function date_text_element_process($element, &$form_state, $form) {
   if (date_hidden_element($element)) {
@@ -326,9 +329,10 @@ function date_text_element_process($element, &$form_state, $form) {
   $now = date_example_date();
   $element['date']['#title'] = t('Date');
   $element['date']['#title_display'] = 'invisible';
-  $element['date']['#description'] = ' ' . t('Format: @date', array(
-    '@date' => date_format_date(date_example_date(), 'custom', $element['#date_format']
-  )));
+  $date_args = array(
+    '@date' => date_format_date(date_example_date(), 'custom', $element['#date_format']),
+  );
+  $element['date']['#description'] = ' ' . t('Format: @date', $date_args);
   $element['date']['#ajax'] = !empty($element['#ajax']) ? $element['#ajax'] : FALSE;
 
   // Make changes if instance is set to be rendered as a regular field.
@@ -338,9 +342,8 @@ function date_text_element_process($element, &$form_state, $form) {
     $element['date']['#required'] = $element['#required'];
   }
 
-  // Keep the system from creating an error message for the sub-element.
-  // We'll set our own message on the parent element.
-  // $element['date']['#required'] = $element['#required'];
+  // Keep the system from creating an error message for the sub-element. We'll
+  // set our own message on the parent element.
   $element['date']['#theme'] = 'date_textfield_element';
   if (isset($element['#element_validate'])) {
     array_push($element['#element_validate'], 'date_text_validate');
@@ -363,9 +366,9 @@ function date_text_element_process($element, &$form_state, $form) {
 /**
  * Validation for text input.
  *
- * When used as a Views widget, the validation step always gets triggered,
- * even with no form submission. Before form submission $element['#value']
- * contains a string, after submission it contains an array.
+ * When used as a Views widget, the validation step always gets triggered, even
+ * with no form submission. Before form submission $element['#value'] contains a
+ * string, after submission it contains an array.
  */
 function date_text_validate($element, &$form_state) {
   if (date_hidden_element($element)) {
@@ -388,9 +391,9 @@ function date_text_validate($element, &$form_state) {
   $label = !empty($element['#date_title']) ? $element['#date_title'] : (!empty($element['#title']) ? $element['#title'] : '');
   $date = date_text_input_date($element, $input);
 
-  // If the field has errors, display them.
-  // If something was input but there is no date, the date is invalid.
-  // If the field is empty and required, set error message and return.
+  // If the field has errors, display them. If something was input but there is
+  // no date, the date is invalid. If the field is empty and required, set
+  // error message and return.
   $error_field = implode('][', $element['#parents']);
   if (empty($date) || !empty($date->errors)) {
     if (is_object($date) && !empty($date->errors)) {
@@ -464,7 +467,12 @@ function date_select_element_value_callback($element, $input = FALSE, &$form_sta
   );
   foreach ($granularity as $field) {
     if ($field != 'timezone') {
-      $return[$field] = date_is_date($date) ? $date->format($formats[$field]) : '';
+      if (date_is_date($date)) {
+        $return[$field] = $date->format($formats[$field]);
+      }
+      else {
+        $return = array();
+      }
     }
   }
   return $return;
@@ -488,7 +496,7 @@ function date_select_element_process($element, &$form_state, $form) {
   $date = NULL;
   $granularity = date_format_order($element['#date_format']);
 
-  if (is_array($element['#default_value'])) {
+  if (array_key_exists('#default_value', $element) && is_array($element['#default_value'])) {
     $date = date_select_input_date($element, $element['#default_value']);
   }
   elseif (!empty($element['#default_value'])) {
@@ -536,11 +544,10 @@ function date_select_element_process($element, &$form_state, $form) {
 /**
  * Creates form elements for one or more date parts.
  *
- * Get the order of date elements from the provided format.
- * If the format order omits any date parts in the granularity, alter the
- * granularity array to match the format, then flip the $order array
- * to get the position for each element. Then iterate through the
- * elements and create a sub-form for each part.
+ * Get the order of date elements from the provided format. If the format order
+ * omits any date parts in the granularity, alter the granularity array to match
+ * the format, then flip the $order array to get the position for each element.
+ * Then iterate through the elements and create a sub-form for each part.
  *
  * @param array $element
  *   The date element.
@@ -552,13 +559,13 @@ function date_select_element_process($element, &$form_state, $form) {
  * @return array
  *   The form array for the submitted date parts.
  */
-function date_parts_element($element, $date, $format) {
+function date_parts_element(array $element, $date, $format) {
   $granularity = date_format_order($format);
   $sub_element = array('#granularity' => $granularity);
   $order = array_flip($granularity);
 
-  $hours_format  = strpos(strtolower($element['#date_format']), 'a') ? 'g' : 'G';
-  $month_function  = strpos($element['#date_format'], 'F') !== FALSE ? 'date_month_names' : 'date_month_names_abbr';
+  $hours_format = strpos(strtolower($element['#date_format']), 'a') ? 'g' : 'G';
+  $month_function = strpos($element['#date_format'], 'F') !== FALSE ? 'date_month_names' : 'date_month_names_abbr';
   $count = 0;
   $increment = min(intval($element['#date_increment']), 1);
 
@@ -634,7 +641,8 @@ function date_parts_element($element, $date, $format) {
       if ($element['#date_label_position'] == 'within') {
         if (!empty($sub_element[$field]['#options']) && is_array($sub_element[$field]['#options'])) {
           $sub_element[$field]['#options'] = array(
-            '-' . $label => '-' . $label) + $sub_element[$field]['#options'];
+            '-' . $label => '-' . $label,
+          ) + $sub_element[$field]['#options'];
         }
         if (empty($sub_element[$field]['#default_value'])) {
           $sub_element[$field]['#default_value'] = '-' . $label;
@@ -648,14 +656,15 @@ function date_parts_element($element, $date, $format) {
       $sub_element[$field]['#title_display'] = in_array($element['#date_label_position'], array('within', 'none')) ? 'invisible' : 'before';
       if ($element['#date_label_position'] == 'within') {
         $sub_element[$field]['#options'] = array(
-          '' => '-' . $label) + $sub_element[$field]['#options'];
+          '' => '-' . $label,
+        ) + $sub_element[$field]['#options'];
       }
     }
   }
 
-  // Views exposed filters are treated as submitted even if not,
-  // so force the #default value in that case. Make sure we set
-  // a default that is in the option list.
+  // Views exposed filters are treated as submitted even if not, so force the
+  // #default value in that case. Make sure we set a default that is in the
+  // option list.
   if (!empty($element['#force_value'])) {
     $options = $sub_element[$field]['#options'];
     $default = !empty($sub_element[$field]['#default_value']) ? $sub_element[$field]['#default_value'] : array_shift($options);
@@ -686,9 +695,9 @@ function date_parts_element($element, $date, $format) {
 /**
  * Validation function for date selector.
  *
- * When used as a Views widget, the validation step always gets triggered,
- * even with no form submission. Before form submission $element['#value']
- * contains a string, after submission it contains an array.
+ * When used as a Views widget, the validation step always gets triggered, even
+ * with no form submission. Before form submission $element['#value'] contains a
+ * string, after submission it contains an array.
  */
 function date_select_validate($element, &$form_state) {
   if (date_hidden_element($element)) {
@@ -755,7 +764,6 @@ function date_select_validate($element, &$form_state) {
  * Helper function for creating a date object out of user input.
  */
 function date_select_input_date($element, $input) {
-
   // Was anything entered? If not, we have no date.
   if (!is_array($input)) {
     return NULL;
@@ -790,5 +798,6 @@ function date_select_input_date($element, $input) {
     }
     return $date;
   }
+
   return NULL;
 }
diff --git a/drupal7/sites/all/modules/date/date_api/date_api_ical.inc b/drupal7/sites/all/modules/date/date_api/date_api_ical.inc
index 4911298c..faf3f1a0 100644
--- a/drupal7/sites/all/modules/date/date_api/date_api_ical.inc
+++ b/drupal7/sites/all/modules/date/date_api/date_api_ical.inc
@@ -10,75 +10,75 @@
 /**
  * Return an array of iCalendar information from an iCalendar file.
  *
- *   No timezone adjustment is performed in the import since the timezone
- *   conversion needed will vary depending on whether the value is being
- *   imported into the database (when it needs to be converted to UTC), is being
- *   viewed on a site that has user-configurable timezones (when it needs to be
- *   converted to the user's timezone), if it needs to be converted to the
- *   site timezone, or if it is a date without a timezone which should not have
- *   any timezone conversion applied.
+ * No timezone adjustment is performed in the import since the timezone
+ * conversion needed will vary depending on whether the value is being
+ * imported into the database (when it needs to be converted to UTC), is being
+ * viewed on a site that has user-configurable timezones (when it needs to be
+ * converted to the user's timezone), if it needs to be converted to the site
+ * timezone, or if it is a date without a timezone which should not have any
+ * timezone conversion applied.
  *
- *   Properties that have dates and times are converted to sub-arrays like:
- *      'datetime'   => date in YYYY-MM-DD HH:MM format, not timezone adjusted
- *      'all_day'    => whether this is an all-day event
- *      'tz'         => the timezone of the date, could be blank for absolute
- *                      times that should get no timezone conversion.
+ * Properties that have dates and times are converted to sub-arrays like:
+ * 'datetime' => Date in YYYY-MM-DD HH:MM format, not timezone adjusted.
+ * 'all_day'  => Whether this is an all-day event.
+ * 'tz'       => The timezone of the date, could be blank for absolute times
+ *               that should get no timezone conversion.
  *
- *   Exception dates can have muliple values and are returned as arrays
- *   like the above for each exception date.
+ * Exception dates can have muliple values and are returned as arrayslike the
+ * above for each exception date.
  *
- *   Most other properties are returned as PROPERTY => VALUE.
+ * Most other properties are returned as PROPERTY => VALUE.
  *
- *   Each item in the VCALENDAR will return an array like:
- *   [0] => Array (
- *     [TYPE] => VEVENT
- *     [UID] => 104
- *     [SUMMARY] => An example event
- *     [URL] => http://example.com/node/1
- *     [DTSTART] => Array (
- *       [datetime] => 1997-09-07 09:00:00
+ * Each item in the VCALENDAR will return an array like:
+ * [0] => Array (
+ *   [TYPE] => VEVENT
+ *   [UID] => 104
+ *   [SUMMARY] => An example event
+ *   [URL] => http://example.com/node/1
+ *   [DTSTART] => Array (
+ *     [datetime] => 1997-09-07 09:00:00
+ *     [all_day] => 0
+ *     [tz] => US/Eastern
+ *   )
+ *   [DTEND] => Array (
+ *     [datetime] => 1997-09-07 11:00:00
+ *     [all_day] => 0
+ *     [tz] => US/Eastern
+ *   )
+ *   [RRULE] => Array (
+ *     [FREQ] => Array (
+ *       [0] => MONTHLY
+ *     )
+ *     [BYDAY] => Array (
+ *       [0] => 1SU
+ *       [1] => -1SU
+ *     )
+ *   )
+ *   [EXDATE] => Array (
+ *     [0] = Array (
+ *       [datetime] => 1997-09-21 09:00:00
  *       [all_day] => 0
  *       [tz] => US/Eastern
  *     )
- *     [DTEND] => Array (
- *       [datetime] => 1997-09-07 11:00:00
+ *     [1] = Array (
+ *       [datetime] => 1997-10-05 09:00:00
  *       [all_day] => 0
  *       [tz] => US/Eastern
  *     )
- *     [RRULE] => Array (
- *       [FREQ] => Array (
- *         [0] => MONTHLY
- *       )
- *       [BYDAY] => Array (
- *         [0] => 1SU
- *         [1] => -1SU
- *       )
- *     )
- *     [EXDATE] => Array (
- *       [0] = Array (
- *         [datetime] => 1997-09-21 09:00:00
- *         [all_day] => 0
- *         [tz] => US/Eastern
- *       )
- *       [1] = Array (
- *         [datetime] => 1997-10-05 09:00:00
- *         [all_day] => 0
- *         [tz] => US/Eastern
- *       )
+ *   )
+ *   [RDATE] => Array (
+ *     [0] = Array (
+ *       [datetime] => 1997-09-21 09:00:00
+ *       [all_day] => 0
+ *       [tz] => US/Eastern
  *     )
- *     [RDATE] => Array (
- *       [0] = Array (
- *         [datetime] => 1997-09-21 09:00:00
- *         [all_day] => 0
- *         [tz] => US/Eastern
- *       )
- *       [1] = Array (
- *         [datetime] => 1997-10-05 09:00:00
- *         [all_day] => 0
- *         [tz] => US/Eastern
- *       )
+ *     [1] = Array (
+ *       [datetime] => 1997-10-05 09:00:00
+ *       [all_day] => 0
+ *       [tz] => US/Eastern
  *     )
  *   )
+ * )
  *
  * @todo
  *   figure out how to handle this if subgroups are nested,
@@ -130,7 +130,7 @@ function date_ical_import($filename) {
  * @return array
  *   An array with all the elements from the ical.
  */
-function date_ical_parse($icaldatafolded = array()) {
+function date_ical_parse(array $icaldatafolded = array()) {
   $items = array();
 
   // Verify this is iCal data.
@@ -249,7 +249,6 @@ function date_ical_parse($icaldatafolded = array()) {
 
             array_pop($subgroups);
             array_pop($parents);
-            break;
         }
       }
     }
@@ -325,7 +324,6 @@ function date_ical_parse($icaldatafolded = array()) {
         // be given special treatment.
         default:
           $parse_result = $data;
-          break;
       }
 
       // Store the result of our parsing.
@@ -339,14 +337,14 @@ function date_ical_parse($icaldatafolded = array()) {
  * Parses a ical date element.
  *
  * Possible formats to parse include:
- *   PROPERTY:YYYYMMDD[T][HH][MM][SS][Z]
- *   PROPERTY;VALUE=DATE:YYYYMMDD[T][HH][MM][SS][Z]
- *   PROPERTY;VALUE=DATE-TIME:YYYYMMDD[T][HH][MM][SS][Z]
- *   PROPERTY;TZID=XXXXXXXX;VALUE=DATE:YYYYMMDD[T][HH][MM][SS]
- *   PROPERTY;TZID=XXXXXXXX:YYYYMMDD[T][HH][MM][SS]
+ * - PROPERTY:YYYYMMDD[T][HH][MM][SS][Z]
+ * - PROPERTY;VALUE=DATE:YYYYMMDD[T][HH][MM][SS][Z]
+ * - PROPERTY;VALUE=DATE-TIME:YYYYMMDD[T][HH][MM][SS][Z]
+ * - PROPERTY;TZID=XXXXXXXX;VALUE=DATE:YYYYMMDD[T][HH][MM][SS]
+ * - PROPERTY;TZID=XXXXXXXX:YYYYMMDD[T][HH][MM][SS]
  *
- *   The property and the colon before the date are removed in the import
- *   process above and we are left with $field and $data.
+ * The property and the colon before the date are removed in the import
+ * process above and we are left with $field and $data.
  *
  * @param string $field
  *   The text before the colon and the date, i.e.
@@ -356,22 +354,20 @@ function date_ical_parse($icaldatafolded = array()) {
  *   'Z', if supplied, means the date is in UTC.
  *
  * @return array
- *   $items array, consisting of:
- *      'datetime'   => date in YYYY-MM-DD HH:MM format, not timezone adjusted
- *      'all_day'    => whether this is an all-day event with no time
- *      'tz'         => the timezone of the date, could be blank if the ical
- *                      has no timezone; the ical specs say no timezone
- *                      conversion should be done if no timezone info is
- *                      supplied
- * @todo
- *   Another option for dates is the format PROPERTY;VALUE=PERIOD:XXXX. The
+ *   Consisting of:
+ *   'datetime' => Date in YYYY-MM-DD HH:MM format, not timezone adjusted.
+ *   'all_day'  => Whether this is an all-day event with no time.
+ *   'tz'       => The timezone of the date, could be blank if the iCal has no
+ *                 timezone; the ical specs say no timezone conversion should be
+ *                 done if no timezone info is supplied.
+ *
+ * @todo Another option for dates is the format PROPERTY;VALUE=PERIOD:XXXX. The
  *   period may include a duration, or a date and a duration, or two dates, so
  *   would have to be split into parts and run through date_ical_parse_date()
  *   and date_ical_parse_duration(). This is not commonly used, so ignored for
  *   now. It will take more work to figure how to support that.
  */
 function date_ical_parse_date($field, $data) {
-
   $items = array('datetime' => '', 'all_day' => '', 'tz' => '');
   if (empty($data)) {
     return $items;
@@ -415,6 +411,7 @@ function date_ical_parse_date($field, $data) {
         break;
     }
   }
+
   // If no format is specified, attempt a loose match.
   else {
     preg_match(DATE_REGEX_LOOSE, $data, $regs);
@@ -462,8 +459,9 @@ function date_ical_parse_date($field, $data) {
  * Parse an ical repeat rule.
  *
  * @return array
- *   Array in the form of PROPERTY => array(VALUES)
- *   PROPERTIES include FREQ, INTERVAL, COUNT, BYDAY, BYMONTH, BYYEAR, UNTIL
+ *   A nested array in the form of 'PROPERTY' => array(VALUES) where
+ *   'PROPERTIES' includes 'FREQ', 'INTERVAL', 'COUNT', 'BYDAY', 'BYMONTH',
+ *   'BYYEAR', 'UNTIL'.
  */
 function date_ical_parse_rrule($field, $data) {
   $data = preg_replace("/RRULE.*:/", '', $data);
@@ -496,7 +494,7 @@ function date_ical_parse_rrule($field, $data) {
  * Parse exception dates (can be multiple values).
  *
  * @return array
- *   an array of date value arrays.
+ *   An array of date value arrays.
  */
 function date_ical_parse_exceptions($field, $data) {
   $data = str_replace($field . ':', '', $data);
@@ -512,15 +510,17 @@ function date_ical_parse_exceptions($field, $data) {
  * Parses the duration of the event.
  *
  * Example:
- *  DURATION:PT1H30M
- *  DURATION:P1Y2M
+ * DURATION:PT1H30M
+ * DURATION:P1Y2M.
  *
  * @param array $subgroup
  *   Array of other values in the vevent so we can check for DTSTART.
+ * @param string $value_name
+ *   The name of the value to process; defaults to 'DURATION'.
  */
-function date_ical_parse_duration(&$subgroup, $field = 'DURATION') {
-  $items = $subgroup[$field];
-  $data  = $items['DATA'];
+function date_ical_parse_duration(array &$subgroup, $value_name = 'DURATION') {
+  $items = $subgroup[$value_name];
+  $data = $items['DATA'];
   preg_match('/^P(\d{1,4}[Y])?(\d{1,2}[M])?(\d{1,2}[W])?(\d{1,2}[D])?([T]{0,1})?(\d{1,2}[H])?(\d{1,2}[M])?(\d{1,2}[S])?/', $data, $duration);
   $items['year'] = isset($duration[1]) ? str_replace('Y', '', $duration[1]) : '';
   $items['month'] = isset($duration[2]) ? str_replace('M', '', $duration[2]) : '';
@@ -535,7 +535,7 @@ function date_ical_parse_duration(&$subgroup, $field = 'DURATION') {
     $timezone = 'UTC';
   }
   $date = new DateObject($start_date, $timezone);
-  $date2 = clone($date);
+  $date2 = clone $date;
   foreach ($items as $item => $count) {
     if ($count > 0) {
       date_modify($date2, '+' . $count . ' ' . $item);
@@ -573,8 +573,8 @@ function date_ical_parse_text($field, $data) {
  * Catch situations like the upcoming.org feed that uses
  * LOCATION;VENUE-UID="http://upcoming.yahoo.com/venue/104/":111 First Street...
  * or more normal LOCATION;UID=123:111 First Street...
- * Upcoming feed would have been improperly broken on the ':' in http://
- * so we paste the $field and $data back together first.
+ * Upcoming feed would have been improperly broken on the ':' in http:// so we
+ * paste the $field and $data back together first.
  *
  * Use non-greedy check for ':' in case there are more of them in the address.
  */
@@ -603,8 +603,7 @@ function date_ical_parse_location($field, $data) {
  * @return object
  *   A timezone-adjusted date object.
  */
-function date_ical_date($ical_date, $to_tz = FALSE) {
-
+function date_ical_date(array $ical_date, $to_tz = FALSE) {
   // If the ical date has no timezone, must assume it is stateless
   // so treat it as a local date.
   if (empty($ical_date['datetime'])) {
@@ -621,7 +620,7 @@ function date_ical_date($ical_date, $to_tz = FALSE) {
   }
   $date = new DateObject($ical_date['datetime'], new DateTimeZone($from_tz));
 
-  if ($to_tz && $ical_date['tz'] != '' && $to_tz != $ical_date['tz']) {
+  if ($to_tz && !empty($ical_date['tz']) && $to_tz != $ical_date['tz']) {
     date_timezone_set($date, timezone_open($to_tz));
   }
   return $date;
@@ -631,7 +630,7 @@ function date_ical_date($ical_date, $to_tz = FALSE) {
  * Escape #text elements for safe iCal use.
  *
  * @param string $text
- *   Text to escape
+ *   Text to escape.
  *
  * @return string
  *   Escaped text
@@ -639,9 +638,9 @@ function date_ical_date($ical_date, $to_tz = FALSE) {
 function date_ical_escape_text($text) {
   $text = drupal_html_to_text($text);
   $text = trim($text);
-  // TODO Per #38130 the iCal specs don't want : and " escaped
-  // but there was some reason for adding this in. Need to watch
-  // this and see if anything breaks.
+  // @todo Per #38130 the iCal specs don't want : and " escaped but there was
+  // some reason for adding this in. Need to watch this and see if anything
+  // breaks.
   // $text = str_replace('"', '\"', $text);
   // $text = str_replace(":", "\:", $text);
   $text = preg_replace("/\\\b/", "\\\\", $text);
@@ -695,7 +694,7 @@ function date_ical_escape_text($text) {
  *       )
  *     )
  */
-function date_api_ical_build_rrule($form_values) {
+function date_api_ical_build_rrule(array $form_values) {
   $rrule = '';
   if (empty($form_values) || !is_array($form_values)) {
     return $rrule;
@@ -725,9 +724,9 @@ function date_api_ical_build_rrule($form_values) {
   if (array_key_exists('BYMONTHDAY', $form_values) && is_array($form_values['BYMONTHDAY']) && $bymonthday = implode(",", $form_values['BYMONTHDAY'])) {
     $rrule .= ';BYMONTHDAY=' . $bymonthday;
   }
-  // The UNTIL date is supposed to always be expressed in UTC.
-  // The input date values may already have been converted to a date object on a
-  // previous pass, so check for that.
+  // The UNTIL date is supposed to always be expressed in UTC. The input date
+  // values may already have been converted to a date object on a previous
+  // pass, so check for that.
   if (array_key_exists('UNTIL', $form_values) && array_key_exists('datetime', $form_values['UNTIL']) && !empty($form_values['UNTIL']['datetime'])) {
     // We only collect a date for UNTIL, but we need it to be inclusive, so
     // force it to a full datetime element at the last second of the day.
@@ -754,8 +753,8 @@ function date_api_ical_build_rrule($form_values) {
     }
     $rrule .= ';UNTIL=' . date_format($until, DATE_FORMAT_ICAL) . 'Z';
   }
-  // Our form doesn't allow a value for COUNT, but it may be needed by
-  // modules using the API, so add it to the rule.
+  // Our form doesn't allow a value for COUNT, but it may be needed by modules
+  // using the API, so add it to the rule.
   if (array_key_exists('COUNT', $form_values)) {
     $rrule .= ';COUNT=' . $form_values['COUNT'];
   }
@@ -769,9 +768,9 @@ function date_api_ical_build_rrule($form_values) {
     $rrule .= ';WKST=' . date_repeat_dow2day(variable_get('date_first_day', 0));
   }
 
-  // Exceptions dates go last, on their own line.
-  // The input date values may already have been converted to a date
-  // object on a previous pass, so check for that.
+  // Exceptions dates go last, on their own line. The input date values may
+  // already have been converted to a date object on a previous pass, so check
+  // for that.
   if (isset($form_values['EXDATE']) && is_array($form_values['EXDATE'])) {
     $ex_dates = array();
     foreach ($form_values['EXDATE'] as $value) {
